Subject: Re: Multiple Inheritance and other ...

From: [email-masked]
Date: Mon, 8 Mar 1993 02:40:00 -0800

John Rogers:

>    1) Is there any effort toward implementing something more powerful than
>       Feature Object trick on MOO (read it as implementing Multiple
>       Inheritance, if you will)?

There are a number of different attempts being made at this. I'm working
(albeit slowly, because of other projects) at improving in-DB parsing. One
of the main complications is speed -- it can be terribly tick-intensive to
check every object in the vicinity for appropriate verb/args pairs.

>    2) The MOO currently scans the list {player, room, direct_object,
>       indirect_object} for the verbs.  I wonder if it would be a bit slicker
>       to add the fifth item: "other".  This "other" might be either a
>       generic object $other with the default :huh on it (and naturally one
>       can @create all sort of descendants of $other), or it might be a
>       verb, or whatever....just thought it up off my hat.  What do you
>       think of it?

Well, the MOO actually checks the player, then eir location, then checks
for a dobj match, then for an iobj match, then (if all that fails) it
checks for a :huh verb on the player's location and runs that if all the
other attempted matches fail.

I'm not sure what your method would gain -- as things stand (in the latest
LambdaCore release), the default :huh goes through a whole bunch of 
attempts to see what the command you type means (is it a feature? is it
an exit? is it a special editor command? are you setting a message?).

>   3) Where is the standard ftp archive for the MOO source code?

parcftp.xerox.com -- look in /pub/MOO/contrib/moocode (I think).

Once Chaos and I get our respective butts in gear, though, there'll be a
MOO ftp server running that ya can pick up MOO objects from easily.  (We
spent most of the weekend making it more secure.)

Seth / Blackbriar